Package org.eclipse.net4j.util.lifecycle

## Interface ILifecycleEvent

- All Superinterfaces:
    `IEvent`
  All Known Implementing Classes:
    `LifecycleEvent`

      public interface ILifecycleEvent
      extends IEvent

  An `event` fired from an entity with a `lifecycle` when its lifecycle `state` has changed.
  Author:
    Eike Stepper
  No Implement
    Thi import org.eclipse.net4j.util.event.IEvent; import org.eclipse.net4j.util.event.IEvent; import org.eclipse.net4j.util.event.IEvent; s interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ILifecycleEvent.Kind` | Enumerates the possible `lifecycle state` changes of an entity.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ILifecycleEvent.Kind` | `getKind()` |
    `ILifecycle` | `getSource()` |

- - ### Method Detail

    - #### getSource

          ILifecycle getSource()

      Specified by:
        `getSource` in interface `IEvent`
      Since:
        3.0

    - #### getKind

          ILifecycleEvent.Kind getKind()